API referenceSuppressions
List suppressions
GET
/suppressionsFilter with Resend's origin (or reason) and email.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Query Parameters
limit?integer
Range
1 <= value <= 100after?string
Length
1 <= length <= 64before?string
Length
1 <= length <= 64email?string
Length
1 <= length <= 320reason?string
Value in
- "bounce"
- "complaint"
- "manual"
origin?string
Value in
- "bounce"
- "complaint"
- "manual"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/suppressions"{ "object": "list", "has_more": true, "data": [ { "object": "suppression", "id": "string", "email": "string", "origin": "bounce", "source_id": "string", "reason": "bounce", "source": "provider", "connection_id": "string", "last_event_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "targets": [ { "connection_id": "string", "provider": "ses", "status": "suppressed", "error": { "name": "string", "message": "string" } } ] } ], "connection_id": "string", "shared_with_projects": 0, "last_synced_at": "2019-08-24T14:15:22Z"}